using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;

namespace GxPress.Repository.Interface.SystemLabel
{
    public interface ISystemLabelRepository : IRepository
    {
        Task<Entity.SystemLabel.SystemLabel> GetAsync(int id);

        Task<bool> DeleteAsync(int id);

        Task<int> InsertAsync(Entity.SystemLabel.SystemLabel note);

        Task<bool> UpdateAsync(Entity.SystemLabel.SystemLabel note);
        Task<IEnumerable<Entity.SystemLabel.SystemLabel>> GetAllAsync();
    }
}